echo off
setlocal

rem FOR ASH WARE INTERNAL TESTING ONLY!
set CC=%TEST_BED_BIN_DIR%\ETEC_cc.exe
set LINK=%TEST_BED_BIN_DIR%\ETEC_link.exe
if exist %CC% goto CheckPathingSuccess

rem During installation of the ASH WARE ETEC Compiler
rem environment variable, 'ETEC_BIN', is set to point
rem to the latest installed version
set CC=%ETEC_BIN%ETEC_cc.exe
set LINK=%ETEC_BIN%ETEC_link.exe
if exist %CC% goto CheckPathingSuccess

echo *************************************************
echo It appears the ETEC_BIN environment variable is not
echo set, or not set correctly.
echo ETEC_BIN = %ETEC_BIN%
echo Correct this problem in order to build this demo.
echo *************************************************
goto errors

:CheckPathingSuccess

echo .
%CC% -version
%LINK% -version
echo .

echo .
echo Compiler:    %CC%
echo Linker:      %LINK%
echo CmdLineArgs: %1 %2 %3 %4
echo .

echo create the 'cpu' directory for the auto-generated header files
mkdir cpu
del cpu\*.h /q

set CAM=-d=INCLUDE_CAM -d=CAM_FUNCTION_NUMBER=0
set CRANK=-d=INCLUDE_CRANK -d=CRANK_FUNCTION_NUMBER=1
set FUEL=-d=INCLUDE_FUEL -d=FUEL_FUNCTION_NUMBER=2
set KNOCK=-d=INCLUDE_KNOCK_WINDOW -d=KNOCK_WINDOW_FUNCTION_NUMBER=3
set SPARK=-d=INCLUDE_SPARK -d=SPARK_FUNCTION_NUMBER=4
set TOOTHGEN=-d=INCLUDE_TOOTHGEN -d=TOOTHGEN_FUNCTION_NUMBER=5
set IC=-d=INCLUDE_IC -d=IC_FUNCTION_NUMBER=6
set QOM=-d=INCLUDE_QOM -d=QOM_FUNCTION_NUMBER=7
set PWM=-d=INCLUDE_PWM -d=PWM_FUNCTION_NUMBER=8
set SM=-d=INCLUDE_SM -d=SM_FUNCTION_NUMBER=9
set FPM=-d=INCLUDE_FPM -d=FPM_FUNCTION_NUMBER=10

set ALL_INCLUDES=%CAM% %CRANK% %FUEL% %KNOCK% %SPARK% %TOOTHGEN% %IC% %QOM% %PWM% %SM% %FPM%

%CC% ETEC_fs_func_set.c  -warnDis=400,401,402,513,514,960  %ALL_INCLUDES% -GlobalScratchpad -msgstyle=gnu
if  %ERRORLEVEL% NEQ 0 ( goto errors )

%LINK% ETEC_fs_func_set.eao -out=MyCode -CodeSize=0x3000 -map -lst %1 %2 %3 %4
if  %ERRORLEVEL% NEQ 0 ( goto errors )

echo .
echo BUILD PASSES

goto end
:errors
echo *************************************************
echo        YIKES, WE GOT ERRORS!!
echo *************************************************
exit /b -1
:end

