/****************************************************************************
 * FILE NAME: etpu_toothgen_common.h      Copyright (C) 2010 ASH WARE, Inc. *
 * DESCRIPTION:                                     All Rights Reserved     *
 * This header contains all definitions common between eTPU code and the    *
 * host-side API software.  For example, it contains HSR and Function Mode  *
 * definitions.  In the past this information has been shared with the host *
 * through export and an extra layer of indirection.  ASH WARE is promoting *
 * this technique wherein these definitions exist in only one place and are *
 * included into eTPU code, host-side code and simulator scripts as needed. *
 *==========================================================================*
 * ORIGINAL AUTHOR: John Diener                                             *
 ****************************************************************************/

#ifndef __ETPU_TOOTHGEN_COMMON_H
#define __ETPU_TOOTHGEN_COMMON_H

/* HSR values.                  */
#define TOOTHGEN_HSR_INIT                7

/* FM option                    */
#define TOOTHGEN_FM0_CRANK_CHAN          0
#define TOOTHGEN_FM0_CAM_CHAN            1

/* Errors - errorSwitch bits */
#define TOOTHGEN_ERROR_MISSING_HIGHTIME  1
#define TOOTHGEN_ERROR_MISSING_LOWTIME   2
#define TOOTHGEN_ERROR_CRANKNOISE        4
#define TOOTHGEN_ERROR_MISSING_CAM       8
#define TOOTHGEN_ERROR_CAMNOISE         16
#define TOOTHGEN_ERROR_TOOTH_IN_GAP     32

#endif // __ETPU_TOOTHGEN_COMMON_H

/*********************************************************************
 *
 * Copyright:
 *  ASH WARE Inc. All Rights Reserved.
 *  You are hereby granted a copyright license to use, modify, and
 *  distribute the SOFTWARE so long as this entire notice is
 *  retained without alteration in any modified and/or redistributed
 *  versions, and that such modified versions are clearly identified
 *  as such. No licenses are granted by implication, estoppel or
 *  otherwise under any patents or trademarks of ASH WARE Inc.
 *  This software is provided on an "AS IS" basis and without warranty.
 *
 *  To the maximum extent permitted by applicable law, ASH WARE
 *  DISCLAIMS ALL WARRANTIES WHETHER EXPRESS OR IMPLIED,
 *  INCLUDING IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A
 *  PARTICULAR PURPOSE AND ANY WARRANTY AGAINST INFRINGEMENT WITH
 *  REGARD TO THE SOFTWARE (INCLUDING ANY MODIFIED VERSIONS THEREOF)
 *  AND ANY ACCOMPANYING WRITTEN MATERIALS.
 *
 *  To the maximum extent permitted by applicable law, IN NO EVENT
 *  SHALL ASH WARE BE LIABLE FOR ANY DAMAGES WHATSOEVER
 *  (INCLUDING WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS,
 *  BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR OTHER
 *  PECUNIARY LOSS) ARISING OF THE USE OR INABILITY TO USE THE SOFTWARE.
 *
 *  ASH WARE assumes no responsibility for the
 *  maintenance and support of this software
 ********************************************************************/
